{% extends 'base_backend.html.twig' %}
{% block title %}
    <title>SayaraAdmin - Ajout Voiture</title>
{% endblock %}
{% block VNactive %}class="active"{% endblock %}
{% block subVN %} style="display:block;" {% endblock %}
{% block Vactive %} class="active" {% endblock %}
{% block breadcumb %}
    <li><a href="{{ path('new_car_index') }}">{{ modele.marque.libelle|title }} - {{ modele.libelle|title }}</a></li>
    <li class="active">Editer fiche technique</li>
{% endblock %}
{% block body %}
    <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
    <style>
        h4 {
            font-size: 18px;
            color: steelblue;
        }
         .cover {
             width: 100%;
             background-repeat:no-repeat;
             background-position: center center;
             min-height:100%;

         }

    </style>
    <div class="page-header">
        <h1>
            <span class="green">Editer fiche technique</span> - <span class="black">{{ modele.marque.libelle|title }} - {{ modele.libelle|title }} - {{ version.libelle|title }} </span>
        </h1>
    </div>
    {{ form_start(edit_form , {attr: {novalidate: 'novalidate'}}    ) }}
    <div class="row">
        <div class="col-md-12">
            <div class="row" >

                <div class="col-md-12" style="height: 350px; margin-bottom : 50px">
                    {% if modele.photo is null %} pas d'image {% else %}
                        <div  class="cover" style="background-image: url({{ asset('uploads/photos/'~modele.photo.path) }})"></div>{% endif %}
                </div>
            </div>

        </div>
        <div class="col-md-6">
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="dispo">Version</label>
                    <div class="col-md-9">
                            {{ form_widget(edit_form.libelle, { 'attr': {'class': 'form-control','placeholder':'Nom du version' }}) }}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="page-header">
                <h4 class="gray">CARACTÉRISTIQUES</h4>
            </div>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="dispo">Disponibilité</label>
                    <div class="col-md-9">
                        <div class="input-group" style="width:100%">
                            {{ form_widget(edit_form.disponibility, { 'attr': {'class': 'form-control'}}) }}
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="guarantee">Garentie</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.guarantee, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">ANS</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="body">Carrosserie</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.body, { 'attr': {'class': 'form-control' }}) }}
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="sit">Nombre de places</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.nbSit, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="door">Nombre de portes</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.nbDoor, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="page-header">
                <h4 class="gray">MOTORISATION</h4>
            </div>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="door">Nombre de cylindres</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.nbCylindre, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="door">Energie</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.energie, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="pfsc">Puissance Fiscale</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.puissanceFiscale, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">CV</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="puissance">Puissance (CH.DIN)</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.puissance, { 'attr': {'class': 'form-control' }}) }} <span class="input-group-addon">CH</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="couple">Couple</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.couple, { 'attr': {'class': 'form-control','placeholder':'175 nm - 1400 tr/min' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="cylindred">Cylindrée</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.cylindred, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">cm<sup>3</sup></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="page-header">
                <h4 class="gray">TRANSMISSION</h4>
            </div>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="boite">Boîte</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.boite, { 'attr': {'class': 'form-control' }}) }}
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="nbRapport">Nombre de rapports</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.nbRapport, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="transmission">Transmission</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.transmission, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="page-header">
                <h4 class="gray">DIMENSIONS</h4>
            </div>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="length">Longueur</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.length, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">m</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="width">Largeur</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.width, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">m</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="height">Hauteur</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.height, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">m</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="vcoffree">Volume du coffre</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.volumeCoffre, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">L</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="page-header">
                <h4 class="gray">PERFORMANCES</h4>
            </div>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="performanceKM">0-100 KM/H</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.performanceKM, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">s</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="maxspeed">Vitesse maxi</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.maxSpeed, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">KM/H</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="page-header">
                <h4 class="gray">CONSOMMATION</h4>
            </div>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="cu">Consommation urbaine</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.urbanConsommation, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">l/100 km</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="cextraurbaine">Consommation extra-urbaine</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.extraUrbanConsommation, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">l/100 km</span>
                        </div>
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="mixtec">Consommation mixte</label>
                    <div class="col-md-9">
                        <div class="input-group">
                            {{ form_widget(edit_form.mixteConsommation, { 'attr': {'class': 'form-control' }}) }}<span class="input-group-addon">l/100 km</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="page-header">
                <h4 class="gray">EQUIPEMENTS DE SÉCURITÉ</h4>
            </div>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="airbags">AIRBAGS</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.airbags, { 'attr': {'class': 'form-control' }}) }}
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="abs">ABS</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.aBS, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="anti-patinage">ANTI-Patinage</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.antiPatinage, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="anti-de">ANTI-Démarrage électronique</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.antiDemarrageElectronic, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="fixation">Fixation ISOFIX</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.fixationISOFIX, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="page-header">
                <h4 class="gray">EQUIPEMENTS INTÉRIEURS</h4>
            </div>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="accoudoirs">Accoudoirs</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.accoudoirs, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="auto-radio">Auto-radio</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.autoradio, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="connectivity">Connectivité</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.connectivity, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="screen">Ecran</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.screen, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="screen">Finition intérieure</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.finitionIn, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="kit-smoking">KIT fumeurs</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.kitSmoking, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="kit-safety">KIT sécurité</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.kitSafety, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="sellerie">Sellerie</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.sellerie, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="tapis">Tapis de sol</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.tapis, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="volant">Volant</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.volant, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="page-header">
                <h4 class="gray">EQUIPEMENTS EXTÉRIEURS</h4>
            </div>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="anti-brouillard">ANTI-Brouillards</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.antiBrouillard, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="anti-b">Baguettes extérieures d'encadremment des vitres</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.bextvitres, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="anti-b">Boulons de roues protégés</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.boulonsRoueProtege, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="feuxPosition">Feux de position à LED</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.feuxPositionLED, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="jantes">Jantes</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.jantes, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="peintures">Peinture</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.peinture, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="phares">Phares</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.phares, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="radar">RADAR de stationnement</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.radarOfParking, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>

        </div>
        <div class="col-md-6">
            <div class="page-header">
                <h4 class="gray">EQUIPEMENTS FONCTIONNELS</h4>
            </div>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="radar">Allumage automatique des feux</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.allumageAutoDesFeux, { 'attr': {'class': '','checked data-toggle':"toggle", 'data-on': "Oui" ,'data-off':"Non", 'data-onstyle':"success", 'data-offstyle':"danger" }}) }}
                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="radar">Climatisation</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.climatisation, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="radar">Détecteur de pluie</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.detecteurDePluie, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="radar">Direction assistée</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.directionAssiste, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="fc">Ferméture centrale</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.fermetureCentralise, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="ob">Ordinateur de bord</label>
                    <div class="col-md-9">

                        {{ form_widget(edit_form.ordinateurDeBord, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="retro">Rétroviseurs extérieures</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.retroExterieur, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="sr">Siége avant réglable</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.siegeAvantReglable, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="ob">Régulateur de vitesse</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.regulateurDeVitesse, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="ob">Vitres électriques</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.vitresElectrique, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="form-group">
                    <label class="col-md-3 control-label" for="vr">Volant réglable</label>
                    <div class="col-md-9">
                        {{ form_widget(edit_form.volantReglable, { 'attr': {'class': 'form-control' }}, { 'attr': {'class': 'form-control' }}) }}

                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="space-4"></div>
    <div class="form-group" style="text-align: center;">
        <button type="submit" class="btn btn-success">√alider</button>
        <button type="reset" class="btn btn-default">Annuler</button>
    </div>
    {{ form_end(edit_form) }}

{% endblock %}
{% block javascript %}
    <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>

{% endblock %}

